package com.gh.common.provider

import android.content.Context
import com.alibaba.android.arouter.facade.annotation.Route
import com.gh.gamecenter.MainActivity
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.provider.IMainProvider

@Route(path = RouteConsts.provider.mainActivity, name = "MainActivity暴露服务")
class MainProviderImpl : IMainProvider {
    override fun skipToMainActivity(context: Context, position: Int) {
        MainActivity.skipToMainActivity(context, position)
    }

    override fun init(context: Context?) {
        // Do nothing
    }
}